#include <stdlib.h>
#include "mt19937p.h"

double run_trial(struct mt19937p* state)
{
    return genrand(state);
}

void run_trials(struct mt19937p* state, int nbatch, 
                double* sum_X_out, double* sum_X2_out)
{
    double sum_X  = 0;
    double sum_X2 = 0;
    for (int i = 0; i < nbatch; ++i) {
        double X = run_trial(state);
        sum_X  += X;
        sum_X2 += X*X;
    }
    *sum_X_out  = sum_X;
    *sum_X2_out = sum_X2;
}
